Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.control.events
Class BattleFinishedEvent

    java.lang.Object
      robocode.control.events.BattleEvent
          robocode.control.events.BattleFinishedEvent

    public class BattleFinishedEvent

extends BattleEvent

A BattleFinishedEvent is sent to `onBattleFinished()` when the battle is finished. This event is always sent as the last battle event, both when the battle is completed successfully, terminated due to an error, or aborted by the user. Hence, this events is well-suited for cleanup after the battle.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `IBattleListener`, `BattleStartedEvent`, `BattleCompletedEvent`

Constructor Summary
`BattleFinishedEvent(boolean isAborted)` Creates a new BattleFinishedEvent.

Method Summary
`boolean` | `isAborted()` Checks if the battle was aborted.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BattleFinishedEvent

    public BattleFinishedEvent(boolean isAborted)

  Creates a new BattleFinishedEvent.

  Parameters:
    `isAborted` - a flag specifying if the battle was aborted: `true` if the battle was aborted; `false` otherwise.

Method Detail

### isAborted

    public boolean isAborted()

  Checks if the battle was aborted.

  Returns:
    `true` if the battle was aborted; `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Robocode. All Rights Reserved.